• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 708
  • Last Modified:

Can't dynamically load modules in safe mode???

I am running php3 as an apache module under SuSe linux 6.3
When I try to load a module into my code eg:
dl("cvphp.so");
I get the following error...
Fatal error: Dynamically loaded extensions aren't allowed when running in SAFE MODE. in /usr/local/httpd/htdocs/ccvs/ccvs.php3 on line 9

any ideas?
0
cam_rat
Asked:
cam_rat
1 Solution
 
aikonCommented:
Hi cam rat,

Try to recompile php without --enable-safe-mode flag.
0
 
cam_ratAuthor Commented:
Ok I managed to do that.. itwasn't that simple tho.
would you be so kind as to help me with the next error message i got.. or if u prefer i can just give you the points.. but if you answer the next q as well i'll give u more points :-)

Method Not Allowed

The requested method POST is not allowed for the URL /ccvs/ccvs2.php3.

I remember reading something on the apache site about versions above 1.1 of apache not supporting the get and post methods in modules..

any idea how i can allow this?
thanks.
0

Featured Post

Free Tool: SSL Checker

Scans your site and returns information about your SSL implementation and certificate. Helpful for debugging and validating your SSL configuration.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

Tackle projects and never again get stuck behind a technical roadblock.
Join Now